"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Box = _interopRequireDefault(require("../../primitives/Box"));

var _hooks = require("../../../hooks");

var _FormControl = require("./FormControl");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const FormHelperText = ({
  children,
  style,
  _disabled,
  _focus,
  _invalid,
  ...props
}) => {
  const {
    isInvalid,
    isDisabled
  } = _react.default.useContext(_FormControl.FormControlContext);

  const mutedColor = (0, _hooks.useToken)('colors', 'muted.200');
  return /*#__PURE__*/_react.default.createElement(_Box.default, _extends({}, props, {
    _text: {
      fontSize: 'xs',
      color: mutedColor
    },
    style: [style, isInvalid && _invalid, isDisabled && _disabled]
  }), children);
};

var _default = /*#__PURE__*/_react.default.memo(FormHelperText);

exports.default = _default;
//# sourceMappingURL=FormHelperText.js.map