"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _isNil = _interopRequireDefault(require("lodash/isNil"));

var _react = _interopRequireDefault(require("react"));

var _native = _interopRequireDefault(require("styled-components/native"));

var _styledSystem = require("styled-system");

var _hooks = require("../../../hooks");

var _customProps = require("../../../utils/customProps");

var _Box = _interopRequireDefault(require("../../primitives/Box"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledWrap = (0, _native.default)(_Box.default)(_styledSystem.color, _styledSystem.space, _styledSystem.layout, _styledSystem.flexbox, _styledSystem.border, _styledSystem.position, _customProps.customPosition, _customProps.customBorder, _customProps.customBackground, _customProps.customOutline, _customProps.customShadow, _customProps.customExtra, _customProps.customLayout, _customProps.customFlexBox);

const Wrap = ({
  style,
  spacing,
  children,
  direction,
  align,
  justify,
  grow,
  basis,
  ...props
}, ref) => {
  let newProps = (0, _hooks.useThemeProps)('Wrap', props);
  return /*#__PURE__*/_react.default.createElement(StyledWrap, _extends({}, newProps, {
    flexDirection: direction,
    alignItems: align,
    justifyContent: justify,
    flexGrow: grow,
    flexBasis: basis,
    style: style,
    ref: ref
  }), (0, _isNil.default)(spacing) ? children : _react.default.Children.map(children, child => {
    return /*#__PURE__*/_react.default.cloneElement(child, { ...props,
      style: {
        margin: spacing
      }
    }, child.props.children);
  }));
};

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Wrap));

exports.default = _default;
//# sourceMappingURL=index.js.map