"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Item = void 0;

var _react = _interopRequireDefault(require("react"));

var _core = require("../../../core");

var _theme = require("../../../theme");

var _Button = _interopRequireDefault(require("../Button"));

var _Text = _interopRequireDefault(require("../Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Item = /*#__PURE__*/_react.default.memo(({
  isDisabled,
  label,
  value,
  style,
  ...props
}) => {
  const {
    parentComponentConfig: {
      selectedValue,
      closeMenu,
      selectedItemBg,
      selectedItemColor,
      onValueChange,
      itemsList,
      itemStyle
    }
  } = (0, _core.usePopover)();

  const [textProps, touchProps] = _theme.themeTools.extractInObject({ ...props,
    ...itemStyle
  }, ['color', 'fontWeight', 'fontStyle', 'fontFamily', 'fontSize', 'padding', 'px', 'py', 'textAlign']);

  let currentIndex = -1;
  itemsList.forEach((item, index) => {
    if (item.value === value) {
      currentIndex = index;
    }
  });
  return /*#__PURE__*/_react.default.createElement(_Button.default, _extends({
    p: 1,
    px: 2,
    rounded: 0,
    minH: 0,
    width: 150
  }, touchProps, {
    bg: selectedValue === value ? selectedItemBg : undefined,
    justifyContent: "flex-start",
    style: style,
    onPress: () => {
      if (!isDisabled) {
        onValueChange(value, currentIndex);
        closeMenu && closeMenu();
      }
    }
  }), /*#__PURE__*/_react.default.createElement(_Text.default, _extends({
    fontSize: "sm"
  }, textProps, {
    key: "select-item-".concat(value),
    color: selectedValue === value ? selectedItemColor : undefined
  }), label));
});

exports.Item = Item;
//# sourceMappingURL=Item.js.map