"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _Text = _interopRequireDefault(require("../Text"));

var _Item = require("./Item");

var _core = require("../../../core");

var _Button = _interopRequireDefault(require("../Button"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const Select = ({
  onValueChange,
  children,
  itemStyle,
  selectedValue,
  placeholder,
  selectedItemBg,
  selectedItemColor,
  isDisabled,
  dropdownIcon,
  dropdownOpenIcon,
  dropdownCloseIcon,
  width,
  style,
  ...props
}) => {
  let triggerRef = _react.default.useRef();

  let [isOpen, toggle] = _react.default.useState(false);

  let itemsList = _react.default.Children.map(children, child => {
    return {
      label: child.props.label,
      value: child.props.value
    };
  });

  const {
    setPopover,
    closePopover
  } = (0, _core.usePopover)();

  const closeMenu = () => {
    closePopover();
    toggle(false);
  };

  const openMenu = () => {
    if (!isDisabled) {
      setPopover( /*#__PURE__*/_react.default.createElement(_reactNative.ScrollView, null, children), {
        triggerRef,
        animationDuration: 200,
        onClose: closeMenu,
        placeOverTriggerElement: false,
        parentComponentConfig: {
          open: isOpen,
          closeMenu,
          closeOnSelect: true,
          selectedValue,
          selectedItemBg,
          selectedItemColor,
          onValueChange,
          itemsList,
          itemStyle,
          width
        }
      });
      toggle(true);
    }
  };

  const selectedItemArray = itemsList.filter(item => item.value === selectedValue);
  const selectedItem = selectedItemArray && selectedItemArray.length ? selectedItemArray[0] : null;
  let icon = !dropdownOpenIcon && !dropdownCloseIcon && dropdownIcon ? dropdownIcon : isOpen ? dropdownOpenIcon ? dropdownOpenIcon : null : dropdownCloseIcon ? dropdownCloseIcon : null;
  return /*#__PURE__*/_react.default.createElement(_Button.default, _extends({
    onPress: openMenu,
    pl: 2,
    pr: 0,
    width: width,
    ref: triggerRef
  }, props, {
    justifyContent: "space-between",
    style: style
  }), /*#__PURE__*/_react.default.createElement(_Text.default, {
    opacity: selectedItem ? undefined : 0.5
  }, selectedItem ? selectedItem.label : placeholder), icon);
};

Select.Item = _Item.Item;
var _default = Select;
exports.default = _default;
//# sourceMappingURL=index.js.map