"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = exports.StackMain = void 0;

var _react = _interopRequireDefault(require("react"));

var _native = _interopRequireDefault(require("styled-components/native"));

var _View = _interopRequireDefault(require("../View"));

var _utils = require("../../../utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

const StyledStack = (0, _native.default)(_View.default)({});

const Stack = (props, ref) => {
  const {
    space,
    children,
    divider,
    reversed,
    direction,
    ...remainingProps
  } = props;
  return /*#__PURE__*/_react.default.createElement(StyledStack, _extends({
    flexDirection: direction
  }, remainingProps, {
    ref: ref
  }), (0, _utils.getSpacedChildren)(children, space, direction === 'row' ? 'X' : 'Y', reversed ? 'reverse' : 'normal', divider));
}; // Exporting this to use it inside HStack and VStack only,


exports.StackMain = Stack;

var _default = /*#__PURE__*/_react.default.memo( /*#__PURE__*/_react.default.forwardRef(Stack));

exports.default = _default;
//# sourceMappingURL=Stack.js.map