"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.usePopover = void 0;

var _react = _interopRequireDefault(require("react"));

var _Context = require("./../hybrid-overlay/Context");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const usePopover = () => {
  const {
    popover: {
      setPopoverItem,
      defaultConfig,
      setConfig,
      parentComponentConfig
    }
  } = _react.default.useContext(_Context.HybridContext);

  const closePopover = () => {
    setPopoverItem(null);
    setConfig({ ...defaultConfig,
      parentComponentConfig: null
    });
  };

  const setPopover = (component, config) => {
    config && setConfig({ ...defaultConfig,
      ...config
    });
    setPopoverItem(component);
  };

  return {
    closePopover,
    setPopover,
    parentComponentConfig
  };
};

exports.usePopover = usePopover;
//# sourceMappingURL=usePopover.js.map