import React from 'react';
import Box from '../../primitives/Box';
import { AccordionItemContext } from './Context';
import Collapse from '../Collapse';
import { useThemeProps } from '../../../hooks';

const AccordionDetails = ({
  children,
  ...props
}) => {
  const { ...newProps
  } = useThemeProps('AccordionDetails', props);
  const {
    isOpen
  } = React.useContext(AccordionItemContext);
  return /*#__PURE__*/React.createElement(Collapse, {
    isOpen: isOpen
  }, /*#__PURE__*/React.createElement(Box, newProps, children));
};

export default /*#__PURE__*/React.memo(AccordionDetails);
//# sourceMappingURL=AccordionDetails.js.map