function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { View } from 'react-native';
import styled from 'styled-components/native';
import { border, color, flexbox, layout, space } from 'styled-system';
import { useThemeProps } from '../../../hooks';
import { customBackground, customBorder, customExtra, customLayout, customOutline, customShadow } from '../../../utils/customProps';
const StyledDivider = styled(View)(color, space, layout, flexbox, border, customBorder, customBackground, customOutline, customShadow, customExtra, customLayout);

const Divider = ({
  style,
  orientation,
  ...props
}, ref) => {
  let orientationProps = orientation === 'vertical' ? {
    width: 0,
    height: '100%'
  } : {
    width: '100%',
    height: 0
  };
  let newProps = useThemeProps('Divider', props);
  return /*#__PURE__*/React.createElement(StyledDivider, _extends({}, orientationProps, newProps, {
    style: style,
    ref: ref
  }));
};

export default /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Divider));
//# sourceMappingURL=index.js.map