function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Box from '../../primitives/Box';
import { useToken } from '../../../hooks';
import { FormControlContext } from './FormControl';

const FormHelperText = ({
  children,
  style,
  _disabled,
  _focus,
  _invalid,
  ...props
}) => {
  const {
    isInvalid,
    isDisabled
  } = React.useContext(FormControlContext);
  const mutedColor = useToken('colors', 'muted.200');
  return /*#__PURE__*/React.createElement(Box, _extends({}, props, {
    _text: {
      fontSize: 'xs',
      color: mutedColor
    },
    style: [style, isInvalid && _invalid, isDisabled && _disabled]
  }), children);
};

export default /*#__PURE__*/React.memo(FormHelperText);
//# sourceMappingURL=FormHelperText.js.map