import React from 'react';
import { MenuGroup } from './MenuGroup';
export const MenuOptionContext = /*#__PURE__*/React.createContext({
  values: [],
  onChange: _val => {},
  type: 'checkbox'
});
export const MenuOptionGroup = /*#__PURE__*/React.memo(({
  type,
  defaultValue,
  value,
  onChange,
  ...props
}) => {
  let internalDefaultValue = defaultValue ? Array.isArray(defaultValue) ? defaultValue : [defaultValue] : [];
  let [internalValues, setValues] = React.useState(internalDefaultValue);

  onChange = newValue => {
    if (type === 'checkbox') {
      let newValues = [...internalValues];

      if (internalValues.includes(newValue)) {
        newValues.splice(newValues.indexOf(newValue), 1);
        setValues(newValues);
      } else {
        newValues.push(newValue);
        setValues(newValues);
      }
    } else if (type === 'radio') {
      setValues([newValue]);
    }
  };

  return /*#__PURE__*/React.createElement(MenuOptionContext.Provider, {
    value: {
      values: !value ? internalValues : Array.isArray(value) ? value : [value],
      onChange,
      type
    }
  }, /*#__PURE__*/React.createElement(MenuGroup, props));
});
//# sourceMappingURL=MenuOptionGroup.js.map