import React from 'react';
import { PopoverContext } from './popover';

const PopoverTrigger = ({
  children
}) => {
  const {
    setPopoverTrigger
  } = React.useContext(PopoverContext);
  React.useEffect(() => {
    setPopoverTrigger(React.Children.map(children, child => {
      return /*#__PURE__*/React.cloneElement(child, {
        isDisabled: true,
        disabled: true
      }, child.props.children);
    }));
  }, [setPopoverTrigger, children]);
  return null;
};

export default /*#__PURE__*/React.memo(PopoverTrigger);
//# sourceMappingURL=PopoverTrigger.js.map