function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import isNil from 'lodash/isNil';
import React from 'react';
import styled from 'styled-components/native';
import { border, color, flexbox, layout, position, space } from 'styled-system';
import { useThemeProps } from '../../../hooks';
import { customBackground, customBorder, customExtra, customFlexBox, customLayout, customOutline, customPosition, customShadow } from '../../../utils/customProps';
import Box from '../../primitives/Box';
const StyledWrap = styled(Box)(color, space, layout, flexbox, border, position, customPosition, customBorder, customBackground, customOutline, customShadow, customExtra, customLayout, customFlexBox);

const Wrap = ({
  style,
  spacing,
  children,
  direction,
  align,
  justify,
  grow,
  basis,
  ...props
}, ref) => {
  let newProps = useThemeProps('Wrap', props);
  return /*#__PURE__*/React.createElement(StyledWrap, _extends({}, newProps, {
    flexDirection: direction,
    alignItems: align,
    justifyContent: justify,
    flexGrow: grow,
    flexBasis: basis,
    style: style,
    ref: ref
  }), isNil(spacing) ? children : React.Children.map(children, child => {
    return /*#__PURE__*/React.cloneElement(child, { ...props,
      style: {
        margin: spacing
      }
    }, child.props.children);
  }));
};

export default /*#__PURE__*/React.memo( /*#__PURE__*/React.forwardRef(Wrap));
//# sourceMappingURL=index.js.map