import { Linking } from 'react-native';

const linkToHREF = URL => {
  Linking.openURL(URL).catch(err => console.error('An error occurred', err));
};

const addOnPressFunctionality = (href, isExternal, callback) => {
  href && isExternal ? linkToHREF(href) : '';
  callback ? callback() : () => {};
};

export function useLink(props) {
  const {
    href,
    isExternal,
    onClick
  } = props;
  return {
    linkProps: {
      onPress: () => {
        addOnPressFunctionality(href, isExternal, onClick);
      },
      accessibilityRole: 'link',
      accessible: true
    }
  };
}
//# sourceMappingURL=useLink.js.map