function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import { usePopover } from '../../../core';
import { themeTools } from '../../../theme';
import Button from '../Button';
import Text from '../Text';
export const Item = /*#__PURE__*/React.memo(({
  isDisabled,
  label,
  value,
  style,
  ...props
}) => {
  const {
    parentComponentConfig: {
      selectedValue,
      closeMenu,
      selectedItemBg,
      selectedItemColor,
      onValueChange,
      itemsList,
      itemStyle
    }
  } = usePopover();
  const [textProps, touchProps] = themeTools.extractInObject({ ...props,
    ...itemStyle
  }, ['color', 'fontWeight', 'fontStyle', 'fontFamily', 'fontSize', 'padding', 'px', 'py', 'textAlign']);
  let currentIndex = -1;
  itemsList.forEach((item, index) => {
    if (item.value === value) {
      currentIndex = index;
    }
  });
  return /*#__PURE__*/React.createElement(Button, _extends({
    p: 1,
    px: 2,
    rounded: 0,
    minH: 0,
    width: 150
  }, touchProps, {
    bg: selectedValue === value ? selectedItemBg : undefined,
    justifyContent: "flex-start",
    style: style,
    onPress: () => {
      if (!isDisabled) {
        onValueChange(value, currentIndex);
        closeMenu && closeMenu();
      }
    }
  }), /*#__PURE__*/React.createElement(Text, _extends({
    fontSize: "sm"
  }, textProps, {
    key: "select-item-".concat(value),
    color: selectedValue === value ? selectedItemColor : undefined
  }), label));
});
//# sourceMappingURL=Item.js.map