function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from 'react';
import Text from '../Text';
import { Item as SelectItem } from './Item';
import { usePopover } from '../../../core';
import Button from '../Button';
import { ScrollView } from 'react-native';

const Select = ({
  onValueChange,
  children,
  itemStyle,
  selectedValue,
  placeholder,
  selectedItemBg,
  selectedItemColor,
  isDisabled,
  dropdownIcon,
  dropdownOpenIcon,
  dropdownCloseIcon,
  width,
  style,
  ...props
}) => {
  let triggerRef = React.useRef();
  let [isOpen, toggle] = React.useState(false);
  let itemsList = React.Children.map(children, child => {
    return {
      label: child.props.label,
      value: child.props.value
    };
  });
  const {
    setPopover,
    closePopover
  } = usePopover();

  const closeMenu = () => {
    closePopover();
    toggle(false);
  };

  const openMenu = () => {
    if (!isDisabled) {
      setPopover( /*#__PURE__*/React.createElement(ScrollView, null, children), {
        triggerRef,
        animationDuration: 200,
        onClose: closeMenu,
        placeOverTriggerElement: false,
        parentComponentConfig: {
          open: isOpen,
          closeMenu,
          closeOnSelect: true,
          selectedValue,
          selectedItemBg,
          selectedItemColor,
          onValueChange,
          itemsList,
          itemStyle,
          width
        }
      });
      toggle(true);
    }
  };

  const selectedItemArray = itemsList.filter(item => item.value === selectedValue);
  const selectedItem = selectedItemArray && selectedItemArray.length ? selectedItemArray[0] : null;
  let icon = !dropdownOpenIcon && !dropdownCloseIcon && dropdownIcon ? dropdownIcon : isOpen ? dropdownOpenIcon ? dropdownOpenIcon : null : dropdownCloseIcon ? dropdownCloseIcon : null;
  return /*#__PURE__*/React.createElement(Button, _extends({
    onPress: openMenu,
    pl: 2,
    pr: 0,
    width: width,
    ref: triggerRef
  }, props, {
    justifyContent: "space-between",
    style: style
  }), /*#__PURE__*/React.createElement(Text, {
    opacity: selectedItem ? undefined : 0.5
  }, selectedItem ? selectedItem.label : placeholder), icon);
};

Select.Item = SelectItem;
export default Select;
//# sourceMappingURL=index.js.map