import React from 'react';
import { HybridContext } from './../hybrid-overlay/Context';
export const useOverlay = () => {
  const {
    overlay: {
      setOverlayItem,
      defaultConfig,
      setConfig
    }
  } = React.useContext(HybridContext);

  const closeOverlay = () => {
    setOverlayItem(null);
  };

  const setOverlay = (component, config) => {
    config && setConfig({ ...defaultConfig,
      ...config
    });
    setOverlayItem(component);
  };

  return {
    closeOverlay,
    setOverlay
  };
};
//# sourceMappingURL=useOverlay.js.map