/// <reference types="react" />
import type { IInputProps } from '../../primitives';
export declare type IPinInputProps = IInputProps & {
    onChange?: (value: string) => void;
    children?: JSX.Element[] | JSX.Element;
    manageFocus?: boolean;
};
export declare type IPinInputFieldProps = IInputProps & {
    fieldIndex?: number;
    inputSize?: any;
};
export declare type IPinInputComponentType = ((props: IPinInputProps) => JSX.Element) & {
    Field: React.MemoExoticComponent<(props: IPinInputFieldProps) => JSX.Element>;
};
export declare type IPinInputContext = IPinInputProps & {
    handleChange?: (value: string, index: number) => void;
    handleMultiValueChange?: (value: string, index: number) => void;
    value?: string[] | string;
    size?: string;
    defaultValue?: string[] | string;
    setRefList?: (ref: any, index: number) => void;
};
