import React from 'react';
import { IBoxProps, ITextProps, IIconProps, IStackProps } from '../../primitives';
export declare const StatLabel: React.MemoExoticComponent<({ style, ...props }: ITextProps) => JSX.Element>;
export declare const StatNumber: React.MemoExoticComponent<({ style, ...props }: ITextProps) => JSX.Element>;
export declare const StatHelpText: React.MemoExoticComponent<({ style, ...props }: IBoxProps) => JSX.Element>;
declare type IStatArrowProps = IIconProps | {
    type?: 'increase' | 'decrease';
};
export declare const StatArrow: React.MemoExoticComponent<({ type, ...props }: IStatArrowProps) => JSX.Element>;
export declare const StatGroup: React.MemoExoticComponent<({ style, ...props }: IBoxProps) => JSX.Element>;
declare type IStatComponentType = ((props: IBoxProps) => JSX.Element) & {
    Label: React.MemoExoticComponent<(props: ITextProps) => JSX.Element>;
    Number: React.MemoExoticComponent<(props: ITextProps) => JSX.Element>;
    HelpText: React.MemoExoticComponent<(props: IBoxProps) => JSX.Element>;
    Arrow: React.MemoExoticComponent<(props: IStatArrowProps) => JSX.Element>;
    Group: React.MemoExoticComponent<(props: IStackProps) => JSX.Element>;
};
declare const Stat: IStatComponentType;
export default Stat;
